It's a bit verbose, but should only happen on errors. This should help
debug the snd_hda_intel unload issues.

Signed-off-by: Jani Nikula <jani.nik...@intel.com>

---

UNTESTED!!!
---
 tests/drv_module_reload_basic | 12 ++++++++++--
 1 file changed, 10 insertions(+), 2 deletions(-)

diff --git a/tests/drv_module_reload_basic b/tests/drv_module_reload_basic
index a8d628dd96bd..b8cad88133e9 100755
--- a/tests/drv_module_reload_basic
+++ b/tests/drv_module_reload_basic
@@ -33,14 +33,22 @@ function reload() {
        pkill alsactl
        snd_hda_intel_unloaded=0
        if mod_loaded snd_hda_intel; then
-               rmmod snd_hda_intel && snd_hda_intel_unloaded=1
+               if rmmod snd_hda_intel; then
+                       snd_hda_intel_unloaded=1
+               else
+                       lsmod >&2
+               fi
        fi
 
        # gen5 only
        if mod_loaded intel_ips; then
                rmmod intel_ips
        fi
-       rmmod i915 || return $IGT_EXIT_SKIP
+
+       if ! rmmod i915; then
+               lsmod >&2
+               return $IGT_EXIT_SKIP
+       fi
        #ignore errors in intel-gtt, often built-in
        rmmod intel-gtt &> /dev/null
        # drm may be used by other devices (nouveau, radeon, udl, etc)
-- 
2.1.4

_______________________________________________
Intel-gfx mailing list
Intel-gfx@lists.freedesktop.org
https://lists.freedesktop.org/mailman/listinfo/intel-gfx

Reply via email to